org.apache.xml.dtm.ref

## Class DTMDefaultBaseIterators.TypedPrecedingIterator

- java.lang.Object
- - org.apache.xml.dtm.ref.DTMAxisIteratorBase
  - - org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
    - - org.apache.xml.dtm.ref.DTMDefaultBaseIterators.PrecedingIterator
      - - org.apache.xml.dtm.ref.DTMDefaultBaseIterators.TypedPrecedingIterator

All Implemented Interfaces:
  java.lang.Cloneable, DTMAxisIterator

Enclosing class:
  DTMDefaultBaseIterators

    public final class DTMDefaultBaseIterators.TypedPrecedingIterator
    extends DTMDefaultBaseIterators.PrecedingIterator

Iterator that returns preceding nodes of agiven type for a given node. This includes the node set {root+1, start-1}, but excludes all ancestors.

### Field Summary

### Fields inherited from interface org.apache.xml.dtm.DTMAxisIterator

`END`

### Constructor Summary

Constructors
Constructor and Description
`DTMDefaultBaseIterators.TypedPrecedingIterator(int type)` Constructor TypedPrecedingIterator

### Method Summary

Methods
`int` `next()` Get the next node in the iteration.

### Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.PrecedingIterator

`cloneIterator, gotoMark, isReverse, reset, setMark, setStartNode`

### Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase

`getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, setRestartable`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DTMDefaultBaseIterators.TypedPrecedingIterator

    public DTMDefaultBaseIterators.TypedPrecedingIterator(int type)

Constructor TypedPrecedingIterator

Parameters:
  `type` - The extended type ID being requested.

### Method Detail

#### next

    public int next()

Get the next node in the iteration.

Specified by:
  `next` in interface `DTMAxisIterator`
Overrides:
  `next` in class `DTMDefaultBaseIterators.PrecedingIterator`
Returns:
  The next node handle in the iteration, or END.